vnfd:
  description: KNF with single KDU using a helm-chart for openldap version 1.2.3
  df:
  - id: default-df
    kdu-resource-profile:
      - id: openldap-scale
        kdu-name: ldap
        # If replicas or replicaCount iş not located under any section
        # in the yaml like here -> https://github.com/helm/charts/blob/master/stable/openldap/values.yaml#L5
        # set resource-name as empty-string ("") like below.
        resource-name: ""
        min-number-of-instances: 1
        max-number-of-instances: 10
    scaling-aspect:
      - id: scale-kdu
        name: scale-kdu
        max-scale-level: 10
        aspect-delta-details:
          deltas:
            - id: kdu-delta
              kdu-resource-delta:
                - id: openldap-scale
                  number-of-instances: 2
  ext-cpd:
  - id: mgmt-ext
    k8s-cluster-net: mgmtnet
  id: openldap_scale_knf
  k8s-cluster:
    nets:
    - id: mgmtnet
  kdu:
  - name: ldap
    helm-chart: stable/openldap
  mgmt-cp: mgmt-ext
  product-name: openldap_scale_knf
  version: '1.0'
